Bug 1891685 (CVE-2020-14323) - CVE-2020-14323 samba: Unprivileged user can crash winbind
Summary: CVE-2020-14323 samba: Unprivileged user can crash winbind
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14323
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1891687 1891688 1892628 1895347
Blocks: 1891686
TreeView+ depends on / blocked
 
Reported: 2020-10-27 04:44 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-10-05 05:16 UTC (History)
17 users (show)

Fixed In Version: samba 4.11.15, samba 4.12.9, samba 4.13.1
Doc Type: If docs needed, set a value
Doc Text:
A null pointer dereference flaw was found in Samba's winbind service. This flaw allows a local user to crash the winbind service, causing a denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-12-15 22:19:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5439 0 None None None 2020-12-15 11:12:56 UTC
Red Hat Product Errata RHSA-2021:3723 0 None None None 2021-10-05 05:16:30 UTC

Description Huzaifa S. Sidhpurwala 2020-10-27 04:44:10 UTC
As per upstream advisory:

winbind in version 3.6 and later implements a request to translate multiple Windows SIDs into names in one request. This was done for performance reasons: The Microsoft RPC call domain controllers offer to do this translation offer this batch operation, so it was an obvious extension to also offer this batch operation on the winbind unix domain stream socket that is available to local processes on the Samba server.

Due to improper input validation a hand-crafted packet can make winbind perform a NULL pointer dereference and thus crash.

Comment 1 Huzaifa S. Sidhpurwala 2020-10-27 04:44:19 UTC
Acknowledgments:

Name: the Samba project
Upstream: Bas Alberts (GitHub Security Lab Team)

Comment 3 Huzaifa S. Sidhpurwala 2020-10-29 11:03:55 UTC
External References:

https://www.samba.org/samba/security/CVE-2020-14323.html

Comment 4 Huzaifa S. Sidhpurwala 2020-10-29 11:05:11 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1892628]

Comment 7 errata-xmlrpc 2020-12-15 11:12:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5439 https://access.redhat.com/errata/RHSA-2020:5439

Comment 8 Product Security DevOps Team 2020-12-15 22:19:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14323

Comment 9 errata-xmlrpc 2021-05-18 13:57:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1647 https://access.redhat.com/errata/RHSA-2021:1647

Comment 10 errata-xmlrpc 2021-10-05 05:16:28 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.5 for RHEL 7

Via RHSA-2021:3723 https://access.redhat.com/errata/RHSA-2021:3723


Note You need to log in before you can comment on or make changes to this bug.